#!/bin/sh

PATH=/bin:/usr/bin:/sbin:/usr/sbin

. ./VAR

declare -a pid

Start()
{
	./mount.sh
	/bin/mkdir -p ${TEST_DIR_1}
}

Stop()
{
	# Kill off files_1 scripts
	for k in ${pid[*]}
	do
		/bin/kill -TERM ${k}
	done
	/bin/sleep 5
	for k in ${pid[*]}
	do
		/bin/kill -KILL ${k}
	done
	/bin/sleep 10
	./umount.sh
}

/bin/date

/sbin/mke2fs -j ${FS_DEV_1}
/bin/sync

trap "Stop; /bin/date; exit 0" 1 2 3 13 15

while true
do
	Start	# mount & makedir

	unset pid[*]

	for i in $(seq 1 ${LOOP})
	do
		# run files which creates, links, kills, etc
		./files_1.sh ${TEST_DIR_1}/${i} 2>/dev/null &
		pid[${i}]=$!
		/bin/sleep ${L_SLEEP}
	done
	/bin/sleep ${I_SLEEP}

	Stop
	/bin/sleep ${L_SLEEP}
done

##############

Stop

/bin/date
